Bug 174775 - [PATCH] devel/autoconf-wrapper: Fixed make reinstall
Summary: [PATCH] devel/autoconf-wrapper: Fixed make reinstall
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-28 16:20 UTC by nemysis
Modified: 2013-08-31 00:30 UTC (History)
1 user (show)

See Also:


Attachments
autoconf-wrapper-20101119.patch (478 bytes, patch)
2012-12-28 16:20 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-12-28 16:20:00 UTC
Fixed make reinstall
+	@${LN} -sf ${PORTNAME} ${PREFIX}/bin/${tool}

Port maintainer (autotools@FreeBSD.org) is cc'd.

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks usual.

port test: clean
Comment 1 Edwin Groothuis freebsd_committer 2012-12-28 16:20:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->autotools

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Enji Cooper freebsd_committer 2013-05-09 01:29:27 UTC
	Ping? This is a really simple, non-invasive change.
Thanks,
-Garrett
Comment 3 Enji Cooper freebsd_committer 2013-06-15 02:15:58 UTC
HELLLLLLLLLLLLLLLLLLLLLLLLOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO????? Is
anyone alive on this list?!?!?!
Comment 4 Bryan Drewery freebsd_committer 2013-08-30 19:38:07 UTC
Responsible Changed
From-To: autotools->bdrewery

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-08-31 00:22:15 UTC
Author: bdrewery
Date: Fri Aug 30 23:22:07 2013
New Revision: 325731
URL: http://svnweb.freebsd.org/changeset/ports/325731

Log:
  - Fix 'make reinstall' in devel/automake-wrapper and devel/autoconf-wrapper
  
  PR:		ports/178410 [1]
  Submitted by:	Garrett Cooper <yaneurabeya@gmail.com> [1]
  PR:		ports/174775 [2]
  Submitted by:	nemysis

Modified:
  head/devel/autoconf-wrapper/Makefile

Modified: head/devel/autoconf-wrapper/Makefile
==============================================================================
--- head/devel/autoconf-wrapper/Makefile	Fri Aug 30 23:21:51 2013	(r325730)
+++ head/devel/autoconf-wrapper/Makefile	Fri Aug 30 23:22:07 2013	(r325731)
@@ -33,7 +33,7 @@ do-configure:
 do-install:
 	@${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}.sh ${PREFIX}/bin/${PORTNAME}
 .for tool in ${WRAPPED_TOOLS}
-	@${LN} -s ${PORTNAME} ${PREFIX}/bin/${tool}
+	@${LN} -sf ${PORTNAME} ${PREFIX}/bin/${tool}
 .endfor
 
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Bryan Drewery freebsd_committer 2013-08-31 00:22:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!